Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your NFC/RFID Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"nr", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletNFCRFID\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"currentTageType", "=", "Tinkerforge`BrickletNFCRFID`TAGUTYPEUMIFAREUCLASSIC"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for state changed callback", "*)"}],
   RowBox[{RowBox[{"StateChangedCB", "[", RowBox[{"sender_", ",", "state_", ",", "idle_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"state", "==", "Tinkerforge`BrickletNFCRFID`STATEUREQUESTUTAGUIDUREADY"}], ",", RowBox[{"\[IndentingNewLine]", "tagType", "=", "0", ";", "tidLength", "=", "0", ";", "tid", "=", RowBox[{"{", "}"}], ";", "\[IndentingNewLine]", "sender", "@", RowBox[{"GetTagID", "[", RowBox[{"tagType", ",", "tidLength", ",", "tid"}], "]"}], ";", "\[IndentingNewLine]", "result", "=", RowBox[{"{", RowBox[{"ToString", "[", RowBox[{"tid", "[", RowBox[{"[", "1", "]"}], "]"}], "]"}], "}"}], ";", "\[IndentingNewLine]", RowBox[{"For", "[", RowBox[{RowBox[{"i", "=", "2"}], ",", RowBox[{"i", "<=", "tidLength"}], ",", RowBox[{"++", "i"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"AppendTo", "[", RowBox[{"result", ",", RowBox[{"\"\< \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"tid", "[", RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Found tag of type \>\"", "<>", RowBox[{"ToString", "[", "tagType", "]"}], "<>", "\"\< with ID [\>\"", "<>", RowBox[{"StringJoin", "[", "result", "]"}], "<>", "\"\<]\>\""}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\[IndentingNewLine]", RowBox[{"(*", "Cycle through all types", "*)"}], "\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{"idle", ",", RowBox[{"\[IndentingNewLine]", "currentTageType", "=", RowBox[{"Mod", "[", RowBox[{RowBox[{"currentTageType", "+", "1"}], ",", "3"}], "]"}], ";", "\[IndentingNewLine]", "sender", "@", RowBox[{"RequestTagID", "[", "currentTageType", "]"}], "\[IndentingNewLine]"}]}], "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"nr", "@", "StateChangedCallback"}], ",", "StateChangedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Start scan loop", "*)"}],
   RowBox[{"nr", "@", RowBox[{"RequestTagID", "[", "BrickletNFCRFID`TAGUTYPEUMIFAREUCLASSIC", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "nr", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
