Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your RGB LED Button Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"rlb", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRGBLEDButton\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current button state", "*)"}],
   RowBox[{"state", "=", "rlb", "@", RowBox[{"GetButtonState", "[", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"state", "==", "Tinkerforge`BrickletRGBLEDButton`BUTTONUSTATEUPRESSED"}], ",", RowBox[{"Print", "[", "\"\<State: Pressed\>\"", "]"}]}], "]"}],
   RowBox[{"If", "[", RowBox[{RowBox[{"state", "==", "Tinkerforge`BrickletRGBLEDButton`BUTTONUSTATEURELEASED"}], ",", RowBox[{"Print", "[", "\"\<State: Released\>\"", "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "rlb", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
