Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Rotary Encoder Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"re", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletRotaryEncoder\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Callback function for count callback", "*)"}],
   RowBox[{RowBox[{"CountCB", "[", RowBox[{"sender_", ",", "count_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Count: \>\"", "<>", RowBox[{"ToString", "[", "count", "]"}]}], "]"}]}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"re", "@", "CountCallback"}], ",", "CountCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Set period for count callback to 0.05s (50ms)", "*)"}],
   RowBox[{"(*", "Note: The count callback is only called every 0.05 seconds", "*)"}],
   RowBox[{"(*", "if the count has changed since the last call!", "*)"}],
   RowBox[{"re", "@", RowBox[{"SetCountCallbackPeriod", "[", "50", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "re", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
